=== debian/changelog ===
tao-json (0.0+git20200604.f357d72-2) unstable; urgency=medium

  * Team upload.
  * Remove trailing whitespace in debian/copyright (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 20 Jul 2020 22:01:20 +0200

tao-json (0.0+git20200604.f357d72-1) unstable; urgency=medium

  * Initial release (Closes: #964392)

 -- Shayan Doust <hello@shayandoust.me>  Mon, 06 Jul 2020 12:43:45 +0100
