=== debian/control ===
Source: tao-json
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Shayan Doust <hello@shayandoust.me>
Section: libdevel
Priority: optional
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/tao-json
Vcs-Git: https://salsa.debian.org/med-team/tao-json.git
Homepage: https://github.com/taocpp/json
Rules-Requires-Root: no

Package: tao-json-dev
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: multifunctional and zero-dependency C++ header-only JSON library
 taoJSON is a zero-dependency C++ header-only JSON library that provides
 a generic Value Class, uses Type Traits to interoperate with C++ types,
 uses an Events Interface to convert to and from JSON, JAXN, CBOR,
 MsgPack and UBJSON, and much, much more.

Package: tao-json-examples
Architecture: all
Depends: ${misc:Depends}
Recommends: tao-json-dev
Description: multifunctional and zero-dependency C++ header-only JSON library (examples)
 taoJSON is a zero-dependency C++ header-only JSON library that provides
 a generic Value Class, uses Type Traits to interoperate with C++ types,
 uses an Events Interface to convert to and from JSON, JAXN, CBOR,
 MsgPack and UBJSON, and much, much more.
 .
 This package accommodates tao-json-dev package, and provides example C++
 sources featuring the usage and functionality of this library.
