=== debian/changelog ===
tao-json (1.0.0~beta14-1) unstable; urgency=medium

  * Team upload.

  [ zhangdandan ]
  * Add support for loongarch64
    Closes: #1076129

  [ Andreas Tille ]
  * New upstream version
  * Point watch files to github tags

  [ Étienne Mollier ]
  * fuzzy-match.patch: new: fix build failure on i386. (Closes: #1103123)
  * d/control: build depends on tao-pegtl-dev.
  * d/rules: set CPATH to fetch ./include.
  * d/control: declare compliance to standards version 4.7.2.
  * d/copyright: remove superfluous entries.
  * d/u/metadata: document upstream repository.

 -- Étienne Mollier <emollier@debian.org>  Thu, 01 May 2025 18:26:32 +0200
