=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Uploaders: Shayan Doust <hello@shayandoust.me>
 Section: libdevel
 Priority: optional
-Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 13),
+               tao-pegtl-dev
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/tao-json
 Vcs-Git: https://salsa.debian.org/med-team/tao-json.git
 Homepage: https://github.com/taocpp/json
