=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export LC_ALL=C.UTF-8
export CPATH=$(CURDIR)/include
include /usr/share/dpkg/default.mk

%:
	dh $@
