=== debian/watch ===
version=4

opts="mode=git,dversionmangle=auto,uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/" \
   https://github.com/taocpp/json.git refs/tags/v?@ANY_VERSION@

#opts="mode=git,pretty=0.0+git%cd.%h" \
#  https://github.com/taocpp/json.git HEAD
