=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # The Art of C++
-# Copyright (c) 2015-2023 Dr. Colin Hirsch and Daniel Frey
+# Copyright (c) 2015-2020 Dr. Colin Hirsch and Daniel Frey
 # Please see LICENSE for license or visit https://github.com/taocpp/json
 
 .SUFFIXES:
@@ -29,13 +29,17 @@
 # Ensure strict standard compliance and no warnings, can be
 # changed if desired.
 
-CPPFLAGS ?= -pedantic -Iinclude -Iexternal/PEGTL/include
+CPPFLAGS ?= -pedantic
 CXXFLAGS ?= -Wall -Wextra -Wshadow -Werror -O3 $(MINGW_CXXFLAGS)
+
+CLANG_TIDY ?= clang-tidy
 
 HEADERS := $(shell find include -name '*.hpp')
 SOURCES := $(shell find src -name '*.cpp')
 DEPENDS := $(SOURCES:%.cpp=build/%.d)
 BINARIES := $(SOURCES:%.cpp=build/%)
+
+CLANG_TIDY_HEADERS := $(filter-out include/tao/json/external/% include/tao/json/internal/endian_win.hpp,$(HEADERS))
 
 UNIT_TESTS := $(filter build/src/test/%,$(BINARIES))
 
@@ -49,6 +53,15 @@
 check: $(UNIT_TESTS)
 	@set -e; for T in $(UNIT_TESTS); do echo $$T; $$T > /dev/null; done
 
+build/%.clang-tidy: % .clang-tidy
+	$(CLANG_TIDY) -quiet $< -- $(CXXSTD) -Iinclude $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) 2>/dev/null
+	@mkdir -p $(@D)
+	@touch $@
+
+.PHONY: clang-tidy
+clang-tidy: $(CLANG_TIDY_HEADERS:%=build/%.clang-tidy) $(SOURCES:%=build/%.clang-tidy)
+	@echo "All $(words $(CLANG_TIDY_HEADERS) $(SOURCES)) clang-tidy tests passed."
+
 .PHONY: clean
 clean:
 	@rm -rf build/*
@@ -56,10 +69,10 @@
 
 build/%.d: %.cpp Makefile
 	@mkdir -p $(@D)
-	$(CXX) $(CXXSTD) $(CPPFLAGS) -MM -MQ $@ $< -o $@
+	$(CXX) $(CXXSTD) -Iinclude $(CPPFLAGS) -MM -MQ $@ $< -o $@
 
 build/%: %.cpp build/%.d
-	$(CXX) $(CXXSTD) $(CPPFLAGS) $(CXXFLAGS) $< $(LDFLAGS) -o $@
+	$(CXX) $(CXXSTD) -Iinclude $(CPPFLAGS) $(CXXFLAGS) $< $(LDFLAGS) -o $@
 
 ifeq ($(findstring $(MAKECMDGOALS),clean),)
 -include $(DEPENDS)
