=== debian/changelog ===
tao-json (1.0.0~beta14+really0.0+git20200604.f357d72-1) unstable; urgency=medium

  * Team upload.
  * Undo all the changes introduced in 1.0.0~beta14-1 to repair
    regressions affecting tao-config and xenium, in compliance with the
    ongoing freeze policy for the upcoming trixie release.  The only
    change which is preserved is fuzzy-match.patch which addresses the
    release critical bug #1103123.  (Closes: #1104656, #1104658)

 -- Étienne Mollier <emollier@debian.org>  Thu, 05 Jun 2025 20:45:15 +0200
